# Respuestas comunes a todos los endpoints
responses:
  Forbidden:
    description: No tiene permisos para acceder a este recurso
    content:
      application/json:
        schema:
          type: object
          properties:
            status:
              type: boolean
              example: false
            message:
              type: string
              example: "No tiene permisos para realizar esta acción"
        example:
          status: false
          message: "Acceso no autorizado"

  ServerError:
    description: Error interno del servidor
    content:
      application/json:
        schema:
          type: object
          properties:
            status:
              type: boolean
              example: false
            message:
              type: string
              example: "Ocurrió un error al procesar la solicitud"
        example:
          status: false
          message: "Error en el servidor"